Page MenuHome

Weighted Normal - gLTF export
Closed, ResolvedPublic

Description

System Information
Operating system: Win 10
Graphics card: GTX 1080TI

Blender Version
Broken: version: 2.80 (sub 71), branch: blender2.7, commit date: 2019-05-22 00:34, hash: rB0f98c05c8b86

Short description of error
After applying the "weighted normal" modifier to the model, exporting it to gLTF and loading it in unity, the model does not look as it should with this modifier.

Exact steps for others to reproduce the error
Create a model with bevels and apply a weighted normal modifier. Export model in gltf format. Import to e.g. unity.

Details

Type
Bug

Event Timeline

Brecht Van Lommel (brecht) lowered the priority of this task from Needs Triage by Developer to Needs Information from User.

We require a .blend file to reproduce the issue.

Brecht Van Lommel (brecht) raised the priority of this task from Needs Information from User to Waiting for Developer to Reproduce.May 22 2019, 10:24 AM

Was this object "Shade Flat" or "Shade Smooth"? We had a known issue with custom normals on top of flat-shaded meshes, https://github.com/KhronosGroup/glTF-Blender-IO/issues/436 that just got closed an hour ago, the fix hasn't even been copied over to this repository yet.

Yes, when is "flat-shaded", weighted normal work correctly after export to gLTF. Thank you.

Julien DUROURE (julien) closed this task as Resolved.May 24 2019, 7:28 PM

Fix is now merged.
Don't hesitate to contact us if you still have any issue